export declare function getDependencies(): Promise<void>;
/**
 * 获取package.json的内容
 * @param target
 * @returns
 */
export declare function getPackageJson(target: any): Promise<any>;
/**
 * 获取pacakges.json中依赖对象
 * @param target
 * @returns
 */
export declare function getPackageInstall(target: any, content?: string): Promise<{
    dependencies: {
        [name: string]: string;
    };
    devDependencies: {
        [name: string]: string;
    };
}>;
/**
 * 删除pacakges.json中的依赖信息
 * @param target
 */
export declare function writePackageJsonFile(target: any): Promise<void>;
/**
 * 生成licence文件
 * @param target
 */
export declare function wireteLicence(target: any): Promise<void>;
export declare function getPackagesAndInstall(target: any): Promise<void>;
/**
 * 安装所有依赖
 * @param install
 */
export declare function installAllPackages(pkgs: any): Promise<void>;
/**
 * 将install对象转换成数组，方便安装依赖
 * @param install
 * @returns
 */
export declare function computedPkgs(install: any): any;
/**
 * 读取licence的内容
 * @returns
 */
export declare function readLicence(): Promise<string>;
export declare function getPackageDependenciesFromLicence(): Promise<any>;
